package com.kakao.s2;

import android.app.Activity;
import android.app.Application;
import android.os.Bundle;

import com.kakao.util.exception.KakaoException;
import com.kakao.util.helper.log.Logger;

/**
 * Created by kevin.kang on 2016. 9. 9..
 */

class ActivityLifecycleHandler implements Application.ActivityLifecycleCallbacks {
    private static int numOfActivities = 0;

    @Override
    public void onActivityCreated(Activity activity, Bundle savedInstanceState) {

    }

    @Override
    public void onActivityStarted(Activity activity) {

    }

    @Override
    public void onActivityResumed(Activity activity) {
        if (numOfActivities == 0) {
            try {
                S2Service.getInstance().addTimer();
            } catch (KakaoException e) {
                Logger.e(e.toString());
            }
        }
        numOfActivities++;

    }

    @Override
    public void onActivityPaused(Activity activity) {
    }

    @Override
    public void onActivityStopped(Activity activity) {
        numOfActivities--;
        if (numOfActivities == 0) {
            try {
                S2Service.getInstance().removeTimer();
            } catch (KakaoException e) {
                Logger.e(e.toString());
            }
        }
    }

    @Override
    public void onActivitySaveInstanceState(Activity activity, Bundle outState) {

    }

    @Override
    public void onActivityDestroyed(Activity activity) {

    }
}
